# Summary

- [Welcome](welcome.md)
  - [Who is behind this](./who.md)
  - [About this document](./conventions.md)
- [Architectural Overview](./architecture.md)
  - [Core Concepts](./overview/core_concepts.md)
  - [Handlers](./overview/handlers.md)
  - [Conn](./overview/conn.md)
  - [Runtime Adapters and TLS](./overview/runtimes.md)
- [A tour of handler libraries](./handlers.md)
  - [Router](./handlers/router.md)
  - [Template Engines](./handlers/templates.md)
  - [Logger](./handlers/logger.md)
  - [Cookies](./handlers/cookies.md)
  - [Sessions](./handlers/sessions.md)
  - [Proxy](./handlers/proxy.md)
  - [Static Files](./handlers/static.md)
  - [Websockets](./handlers/websockets.md)
- [Testing trillium applications](./testing.md)
- [Patterns for library authors](./library_patterns.md)
- [Contributing](./contributing.md)
